BSON_ITER_SYMBOL(3)

SYNOPSIS

            const char *
            bson_iter_symbol (const bson_iter_t *iter, uint32_t *length);

PARAMETERS

    •   iter: A bson_iter_t <>.

    •   length: A uint32_t.

DESCRIPTION

The symbol element type is DEPRECATED in the bson specification at <http://bsonspec.org>.

The bson_iter_symbol() <> function shall return the contents of a BSON_TYPE_SYMBOL element.

If non-NULL, length will be set to the length of the resulting string.

RETURNS

The symbol and length is set.

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.